# scaleway_sshkey – Scaleway SSH keys management module

New in version 2.6.

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- This module manages SSH keys on Scaleway account https://developer.scaleway.com

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_timeout integer | Default: 30 | HTTP timeout to Scaleway API in seconds. aliases: timeout
api_token string |  | Scaleway OAuth token. aliases: oauth_token
api_url string | Default: "https://account.scaleway.com" | Scaleway API URL aliases: base_url
query_parameters dictionary | Default: {} | List of parameters passed to the query string.
ssh_pub_key - / required |  | The public SSH key as a string to add.

state
-

Choices:
- present ←
- absent

Indicate desired state of the SSH key.

validate_certs
boolean

Choices:
- no
- yes ←

Validate SSL certs of the Scaleway API.

## Notes

Note

- Also see the API documentation on https://developer.scaleway.com/

- If `api_token` is not set within the module, the following environment variables can be used in decreasing order of precedence `SCW_TOKEN`, `SCW_API_KEY`, `SCW_OAUTH_TOKEN` or `SCW_API_TOKEN`.

- If one wants to use a different `api_url` one can also set the `SCW_API_URL` environment variable.

## Examples

    - name: "Add SSH key"
      scaleway_sshkey:
        ssh_pub_key: "ssh-rsa AAAA..."
        state: "present"

    - name: "Delete SSH key"
      scaleway_sshkey:
        ssh_pub_key: "ssh-rsa AAAA..."
        state: "absent"

    - name: "Add SSH key with explicit token"
      scaleway_sshkey:
        ssh_pub_key: "ssh-rsa AAAA..."
        state: "present"
        oauth_token: "6ecd2c9b-6f4f-44d4-a187-61a92078d08c"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
data dictionary | when `state=present` | This is only present when `state=present` Sample: {'ssh_public_keys': [{'key': 'ssh-rsa AAAA....'}]}

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Remy Leone (@sieben)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.